> For the complete documentation index, see [llms.txt](https://docs.emsigner.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.emsigner.com/apis/api-reference/webhooks-and-notifications/webhook-settings.md).

# Webhook Settings

## POST /api/Public/SaveWebhookSettings

> Save webhook settings

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"SaveWebhookSettings"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.SaveWebhookSettingsPublicRequest":{"required":["authenticationMode","events","url","webhookName"],"type":"object","properties":{"webhookName":{"maxLength":100,"minLength":1,"type":"string"},"url":{"minLength":1,"type":"string"},"events":{"minLength":1,"type":"string"},"authenticationMode":{"type":"integer","format":"int32"},"userName":{"maxLength":50,"type":"string","nullable":true},"password":{"maxLength":200,"type":"string","nullable":true},"id":{"type":"integer","format":"int32","nullable":true},"departmentId":{"type":"integer","format":"int32","nullable":true},"requestFrom":{"maxLength":100,"type":"string","nullable":true},"browserInfo":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.BrowserInfo"}},"additionalProperties":false},"emSignerCoreAPI.Shared.DTOs.BrowserInfo":{"type":"object","properties":{"browserName":{"type":"string","nullable":true},"browserVersion":{"type":"string","nullable":true},"osName":{"type":"string","nullable":true},"osVersion":{"type":"string","nullable":true},"device":{"type":"string","nullable":true},"ipAddress":{"type":"string","nullable":true},"timeZone":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/SaveWebhookSettings":{"post":{"tags":["SaveWebhookSettings"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.SaveWebhookSettingsPublicRequest"}}}},"responses":{"200":{"description":"OK"}},"summary":"Save webhook settings","operationId":"post_SaveWebhookSettings"}}}}
```
